Discounts
Create a discount code
POST
/
api
/
v2
/
discounts
/
{shopId}
Create a discount code
curl --request POST \
--url https://api.itemshop.dev/api/v2/discounts/{shopId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"code": "LATO10",
"scope": "all",
"type": "percentage",
"value": 10,
"maxUsage": 100,
"description": "Promocja na lato",
"targets": [
"<string>"
],
"expirationDate": "2026-12-31T23:59:59.000Z",
"minOrderValue": 20,
"maxDiscountAmount": 50
}
'import requests
url = "https://api.itemshop.dev/api/v2/discounts/{shopId}"
payload = {
"code": "LATO10",
"scope": "all",
"type": "percentage",
"value": 10,
"maxUsage": 100,
"description": "Promocja na lato",
"targets": ["<string>"],
"expirationDate": "2026-12-31T23:59:59.000Z",
"minOrderValue": 20,
"maxDiscountAmount": 50
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'LATO10',
scope: 'all',
type: 'percentage',
value: 10,
maxUsage: 100,
description: 'Promocja na lato',
targets: ['<string>'],
expirationDate: '2026-12-31T23:59:59.000Z',
minOrderValue: 20,
maxDiscountAmount: 50
})
};
fetch('https://api.itemshop.dev/api/v2/discounts/{shopId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "664f1a2b3c4d5e6f7a8b9c0d",
"code": "LATO10",
"scope": "all",
"type": "percentage",
"value": 10,
"maxUsage": 100,
"usedTimes": 3,
"expirationDate": "2023-11-07T05:31:56Z",
"isActive": true
},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Error message",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Authorizations
apiKeyAuthbearerAuth
Path Parameters
Shop ID (ObjectId)
Body
application/json
Discount code (uppercase)
Required string length:
1 - 50Pattern:
^[A-Z0-9_-]+$Example:
"LATO10"
Scope
Available options:
all, server, product Example:
"all"
Discount type
Available options:
percentage, fixed Example:
"percentage"
Value (percent or amount)
Required range:
x >= 0.01Example:
10
Max usage count
Required range:
x >= 1Example:
100
Description note
Maximum string length:
200Example:
"Promocja na lato"
Target IDs for non-all scope
Expiration date (ISO 8601) — omit for a permanent code
Example:
"2026-12-31T23:59:59.000Z"
Minimum order value
Required range:
x >= 0Example:
20
Max discount amount cap
Required range:
x >= 0Example:
50
Was this page helpful?
⌘I
Create a discount code
